/*
**  Copyright (C) 1993-1996, OFFIS, Oldenburg University and CERIUM
**  
**  This software and supporting documentation were
**  developed by 
**  
**    Institut OFFIS
**    Bereich Kommunikationssysteme
**    Westerstr. 10-12
**    26121 Oldenburg, Germany
**    
**    Fachbereich Informatik
**    Abteilung Prozessinformatik
**    Carl von Ossietzky Universitaet Oldenburg 
**    Ammerlaender Heerstr. 114-118
**    26111 Oldenburg, Germany
**    
**    CERIUM
**    Laboratoire SIM
**    Faculte de Medecine
**    2 Avenue du Pr. Leon Bernard
**    35043 Rennes Cedex, France
**  
**  for CEN/TC251/WG4 as a contribution to the Radiological 
**  Society of North America (RSNA) 1993 Digital Imaging and 
**  Communications in Medicine (DICOM) Demonstration.
**  
**  THIS SOFTWARE IS MADE AVAILABLE, AS IS, AND NEITHER OFFIS,
**  OLDENBURG UNIVERSITY NOR CERIUM MAKE ANY WARRANTY REGARDING 
**  THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY OR 
**  FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER 
**  DISEASES OR ITS CONFORMITY TO ANY SPECIFICATION.  THE 
**  ENTIRE RISK AS TO QUALITY AND PERFORMANCE OF THE SOFTWARE   
**  IS WITH THE USER. 
**  
**  Copyright of the software and supporting documentation
**  is, unless otherwise stated, jointly owned by OFFIS,
**  Oldenburg University and CERIUM and free access is hereby
**  granted as a license to use this software, copy this
**  software and prepare derivative works based upon this
**  software. However, any distribution of this software
**  source code or supporting documentation or derivative
**  works (source code and supporting documentation) must
**  include the three paragraphs of this copyright notice. 
** 
*/

#include "osconfig.h"

static char rcsid[] = "killassc.cc,v 1.2 1996/04/18 15:29:42 meichel Exp";

#include <stdio.h>
#include <string.h>

#ifdef HAVE_LIBC_H
#include <libc.h>
#endif

#include "dispuser.h"

main(int argc, char **argv)
{
  unsigned int number;

  if (argc != 2)
  {
    fprintf(stderr, "%s [all | <windowID>]\n"
      "  removes association windows from the CTNdisp display.\n"
      "  Windows count top to bottom, left to right, starting with 1.\n", argv[0]);
    exit(1);
  }

  DSU_setDisplayMode(1);
  if (!DSU_initDisplay(DSU_CTNUser))
  {
    fprintf(stderr, "Sorry, CTNdisp not found.\n");
    exit(0);
  }
  if(strcmp(argv[1],"all")==0) number=0; else sscanf(argv[1]," %u",&number);
  DSU_operationState(DSU_NoAssociation,DSU_KillOperation,DSU_StopOperation,DSU_Outgoing, number);
  return 0;
}
